Reschedule Appointments
The Reschedule Appointments API will allow you to reschedule any necessary appointments based on the reserved slot or appointment times.
Schedule / Reschedule Appointment on Reserved slot:
curl --location --request PUT 'https://api.fourkites.com/api/v1/update_appointment' \
--header 'Content-Type: application/json' \
--header 'apikey: REPLACE_KEY_VALUE' \
--data-raw '{
"loadNumber" : "NB23b23423",
"shippingType": "inbound",
"reservedSlotId": 3459
}'curl --location --request PUT 'https://api.fourkites.com/api/v1/update_appointment' \
--header 'Content-Type: application/json' \
--header 'apikey: REPLACE_KEY_VALUE' \
--data-raw '{
"loadNumber" : "NB23b23423",
"shippingType": "inbound",
"reservedSlotId": 3459
}'To Reschedule / Schedule at a given time:
curl --location --request PUT 'https://api.fourkites.com/api/v1/update_appointment' \
--header 'Content-Type: application/json' \
--header 'apikey: REPLACE_KEY_VALUE' \
--data-raw
'{
"loadNumber" : "NB23b23423",
"shippingType": "inbound",
"startTime": "2024-03-21T09:00:00Z",
"endTime": "2024-03-21T10:00:00Z"
}'
curl --location --request PUT 'https://api.fourkites.com/api/v1/update_appointment' \
--header 'Content-Type: application/json' \
--header 'apikey: REPLACE_KEY_VALUE' \
--data-raw
'{
"loadNumber" : "NB23b23423",
"shippingType": "inbound",
"startTime": "2024-03-21T09:00:00Z",
"endTime": "2024-03-21T10:00:00Z"
}'
Error Response:
|
|
|---|---|
Invalid Auth | :::BlockQuote |
{"message": "Invalid authentication credentials"} | |
::: | |
Booking Appointment on Expired Slot | :::BlockQuote |
{ "code": 400, "error": { "message": "Invalid Request Params", "code": 400, "errors": [ { "domain": "oas", "reason": "Reserved Slot Expired, Appointment cannot be booked on this reserved slot", "message": "Invalid Request Params" } ] }, "request_id": "cotl2at6le7hocm48apg" } | |
::: | |
Start Time provided is greater than end Time | :::BlockQuote |
{ "code": 400, "error": { "message": "Invalid Request Params", "code": 400, "errors": [ { "domain": "oas", "reason": "StartTime should be lesser than EndTime", "message": "Invalid Request Params" } ] }, "request_id": "cotjldh628drfoss63l0" } | |
::: | |
Load Not Found | :::BlockQuote |
{ "code": 400, "error": { "message": "Invalid Request Params", "code": 400, "errors": [ { "domain": "oas", "reason": "The shipment does not have an associated appointment", "message": "Invalid Request Params" } ] }, "request_id": "cotkgqd6le7hocm48a4g" } | |
::: | |
Load with the same shipping type found in more than 1 facility | :::BlockQuote |
{ "code": 400, "error": { "message": "Invalid Request Params", "code": 400, "errors": [ { "domain": "oas", "reason": "The shipment has multiple appointments associated", "message": "Invalid Request Params" } ] }, "request_id": "cotkdkt6le7hocm489r0" } | |
::: | |
Not passing reserved slot Id or start, end time | :::BlockQuote |
{ "code": 400, "error": { "message": "Invalid Request Params", "code": 400, "errors": [ { "domain": "oas", "reason": "ReservedSlotId or StartTime and EndTime is required", "message": "Invalid Request Params" } ] }, "request_id": "cotlbe56le7hocm48gmg" } | |
::: | |
Invalid Reserved Slot Id | :::BlockQuote |
{ "code": 400, "error": { "message": "Invalid Request Params", "code": 400, "errors": [ { "domain": "oas", "reason": "Reserved Slot Appointment not found", "message": "Invalid Request Params" } ] }, "request_id": "cotldmd6le7hocm48kb0" } | |
::: | |
No slots available | :::BlockQuote |
{ "code": 400, "error": { "message": "This slot is no longer available, please select a different slot", "code": 400, "errors": [ { "domain": "oas", "reason": "", "message": "This slot is no longer available, please select a different slot" } ] }, "request_id": "cotlc3t6le7hocm48hs0" } | |
::: | |
Rescheduling Appointment to same Time | :::BlockQuote |
{ "code": 400, "error": { "message": "Invalid Request Params", "code": 400, "errors": [ { "domain": "oas", "reason": "Appointment is already Scheduled on the given Time", "message": "Invalid Request Params" } ] }, "request_id": "cotlif56le7hocm48t4g" } | |
::: |
